#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;
 
typedef long long ll;
void gen_case(){
    int n = opt<int>("N");
    int mx = opt<int>("maxA");
    int mn = opt<int>("minA");
    int mns = 0;
    int mxs = 'z'-'a';
    vector<int>a(n);
    for(int i=0;i<n;i++)
    {
        a[i]=rnd.next(mn,mx);
    }
    println(n);
    println(a);
    string s;
    s.resize(n);
    for(int i=0;i<n;i++)
    {
        s[i]='a'+rnd.next(mns,mxs);
    }
    println(s);
}
signed main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);
    gen_case();
    return 0;
}